Skip to main content
Version: Latest

Retrieve automation templates

Query the list of templates used when using Docs To Video / Topic To Video / Url To Video / Scripts To Video


1. API Endpoint​

https://app.aistudios.com/api/odin/v3/dropdown/templates_automation

2. Request Parameters​

keydesctyperequireddefault
categoryTemplate Category InfoStringtrue-
orientationTemplate orientation
(web | mobile)
Stringfalseweb
fileBackgroundWhether to use document content as background use after document upload
(true | false)
Stringfalsefalse
info
  • Allow per request category

    • Docs to video : business | education
    • [Topic / Url / Scripts] to video : social | business | education
  • File Background option is for the Docs to video that uploads the document.


3. Response Parameters​

keydesctype
idUnique ID of the templateString
nameName of the templateString
thumbnailUrlTemplate imageString

4. Sample Request​

curl https://app.aistudios.com/api/odin/v3/dropdown/templates_automation \
-H "Authorization: ${API KEY}" \
-H "Content-Type: application/json" \
-X POST \
-G \
-d '{
"category": "social",
"orientation": "web",
"fileBackground": false
}'